import { LitElement } from 'lit';
declare const WarpSwitch_base: import("@open-wc/form-control").Constructor<import("@open-wc/form-control").FormControlInterface> & typeof LitElement;
export declare class WarpSwitch extends WarpSwitch_base {
    #private;
    name: string;
    value: string;
    checked: boolean;
    disabled: boolean;
    static styles: import("lit").CSSResult[];
    /** @internal */
    get _baseClasses(): string;
    /** @internal */
    get _trackClasses(): string;
    /** @internal */
    get _handleClasses(): string;
    /** @internal */
    _handleClick(): void;
    connectedCallback(): void;
    willUpdate(changedProperties: any): void;
    resetFormControl(): void;
    render(): import("lit").TemplateResult<1>;
}
export {};
